org.eclnt.jsfserver.elements.componentnodes

## Class ROWHEADERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.ROWHEADERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class ROWHEADERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ROWHEADERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ROWHEADERNode` | `bindActionListener(IActionListenerDelegation value)`
    `ROWHEADERNode` | `bindBackground(IDynamicContentBindingObject value)`
    `ROWHEADERNode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `ROWHEADERNode` | `bindBorder(IDynamicContentBindingObject value)`
    `ROWHEADERNode` | `bindColdistance(IDynamicContentBindingObject value)`
    `ROWHEADERNode` | `bindComment(IDynamicContentBindingObject value)`
    `ROWHEADERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `ROWHEADERNode` | `bindFlusharea(IDynamicContentBindingObject value)`
    `ROWHEADERNode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `ROWHEADERNode` | `bindHelpid(IDynamicContentBindingObject value)`
    `ROWHEADERNode` | `bindPadding(IDynamicContentBindingObject value)`
    `ROWHEADERNode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `ROWHEADERNode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `ROWHEADERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `ROWHEADERNode` | `bindRounding(IDynamicContentBindingObject value)`
    `ROWHEADERNode` | `bindShadow(IDynamicContentBindingObject value)`
    `ROWHEADERNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `ROWHEADERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `ROWHEADERNode` | `setActionListener(java.lang.String value)`
    `ROWHEADERNode` | `setAttributemacro(java.lang.String value)`
    `ROWHEADERNode` | `setBackground(java.lang.String value)`
    `ROWHEADERNode` | `setBgpaint(java.lang.String value)`
    `ROWHEADERNode` | `setBorder(java.lang.String value)`
    `ROWHEADERNode` | `setColdistance(int value)`
    `ROWHEADERNode` | `setColdistance(java.lang.String value)`
    `ROWHEADERNode` | `setComment(java.lang.String value)`
    `ROWHEADERNode` | `setConfiginfo(java.lang.String value)`
    `ROWHEADERNode` | `setFlusharea(boolean value)`
    `ROWHEADERNode` | `setFlusharea(java.lang.String value)`
    `ROWHEADERNode` | `setFxstyleseq(java.lang.String value)`
    `ROWHEADERNode` | `setHelpid(java.lang.String value)`
    `ROWHEADERNode` | `setId(java.lang.String value)`
    `ROWHEADERNode` | `setPadding(java.lang.String value)`
    `ROWHEADERNode` | `setPopupmenu(java.lang.String value)`
    `ROWHEADERNode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `ROWHEADERNode` | `setReference(java.lang.String value)`
    `ROWHEADERNode` | `setRendered(boolean value)`
    `ROWHEADERNode` | `setRendered(java.lang.String value)`
    `ROWHEADERNode` | `setRounding(int value)`
    `ROWHEADERNode` | `setRounding(java.lang.String value)`
    `ROWHEADERNode` | `setShadow(java.lang.String value)`
    `ROWHEADERNode` | `setStyleseq(java.lang.String value)`
    `ROWHEADERNode` | `setStylevariant(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ROWHEADERNode

          public ROWHEADERNode()

  - ### Method Detail

    - #### setId

          public ROWHEADERNode setId(java.lang.String value)

    - #### setActionListener

          public ROWHEADERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public ROWHEADERNode bindActionListener(IActionListenerDelegation value)

    - #### setAttributemacro

          public ROWHEADERNode setAttributemacro(java.lang.String value)

    - #### setBackground

          public ROWHEADERNode setBackground(java.lang.String value)

    - #### bindBackground

          public ROWHEADERNode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public ROWHEADERNode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public ROWHEADERNode bindBgpaint(IDynamicContentBindingObject value)

    - #### setBorder

          public ROWHEADERNode setBorder(java.lang.String value)

    - #### bindBorder

          public ROWHEADERNode bindBorder(IDynamicContentBindingObject value)

    - #### setColdistance

          public ROWHEADERNode setColdistance(java.lang.String value)

    - #### bindColdistance

          public ROWHEADERNode bindColdistance(IDynamicContentBindingObject value)

    - #### setColdistance

          public ROWHEADERNode setColdistance(int value)

    - #### setComment

          public ROWHEADERNode setComment(java.lang.String value)

    - #### bindComment

          public ROWHEADERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public ROWHEADERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public ROWHEADERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setFlusharea

          public ROWHEADERNode setFlusharea(java.lang.String value)

    - #### bindFlusharea

          public ROWHEADERNode bindFlusharea(IDynamicContentBindingObject value)

    - #### setFlusharea

          public ROWHEADERNode setFlusharea(boolean value)

    - #### setFxstyleseq

          public ROWHEADERNode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public ROWHEADERNode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHelpid

          public ROWHEADERNode setHelpid(java.lang.String value)

    - #### bindHelpid

          public ROWHEADERNode bindHelpid(IDynamicContentBindingObject value)

    - #### setPadding

          public ROWHEADERNode setPadding(java.lang.String value)

    - #### bindPadding

          public ROWHEADERNode bindPadding(IDynamicContentBindingObject value)

    - #### setPopupmenu

          public ROWHEADERNode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public ROWHEADERNode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public ROWHEADERNode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public ROWHEADERNode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setReference

          public ROWHEADERNode setReference(java.lang.String value)

    - #### setRendered

          public ROWHEADERNode setRendered(java.lang.String value)

    - #### bindRendered

          public ROWHEADERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public ROWHEADERNode setRendered(boolean value)

    - #### setRounding

          public ROWHEADERNode setRounding(java.lang.String value)

    - #### bindRounding

          public ROWHEADERNode bindRounding(IDynamicContentBindingObject value)

    - #### setRounding

          public ROWHEADERNode setRounding(int value)

    - #### setShadow

          public ROWHEADERNode setShadow(java.lang.String value)

    - #### bindShadow

          public ROWHEADERNode bindShadow(IDynamicContentBindingObject value)

    - #### setStyleseq

          public ROWHEADERNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public ROWHEADERNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public ROWHEADERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public ROWHEADERNode bindStylevariant(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.